## murano-agent 4.0.0~b2~git2019073018.a026aa2

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:4.0.0~b2~git2019073018.a026aa2-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:44:33 +0200

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 3.1.1),
 python-setuptools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-anyjson (>= 0.3.3),
 python3-coverage (>= 4.5.1),
 python3-cryptography (>= 2.1.4),
 python3-eventlet (>= 0.20.0),
 python3-git (>= 2.1.8),
 python3-hacking (>= 0.12.0),
 python3-kombu (>= 4.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.18.4),
 python3-semantic-version (>= 2.6.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-stestr (>= 2.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.3.0),
 python3-unittest2 (>= 1.1.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 python3-murano-agent (= ${source:Version}),
 ${misc:Depends},
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

Package: python3-murano-agent
Architecture: all
Section: python
Depends:
 python3-anyjson (>= 0.3.3),
 python3-cryptography (>= 2.1.4),
 python3-eventlet (>= 0.20.0),
 python3-git (>= 2.1.8),
 python3-kombu (>= 4.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-requests (>= 2.18.4),
 python3-semantic-version (>= 2.6.0),
 python3-six (>= 1.11.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 library
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)


include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_clean:
	rm -rf 	build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	dh_auto_build

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	mkdir -p $(CURDIR)/debian/murano-agent/usr/share/murano-agent
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/murano-agent/usr/share/murano-agent/muranoagent.conf --namespace muranoagent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

## murano-agent 4.0.0~rc1

=== debian/changelog ===
murano-agent (1:4.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:08:50 -0400

## murano-agent 4.0.0

=== debian/changelog ===
murano-agent (1:4.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 16:57:21 +0000

murano-agent (1:4.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:26:36 +0100

## murano-agent 5.0.0~b1~git2019121815.2b2cc45

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:02 +0100

murano-agent (1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu2) focal; urgency=medium

  * d/rules: Use PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jan 2020 16:11:14 -0500

murano-agent (1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:38:31 -0500

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 3.1.1),
- python-setuptools,
  python3-all,
  python3-pbr (>= 3.1.1),
  python3-setuptools,
@@ -21,7 +18,7 @@
  python3-coverage (>= 4.5.1),
  python3-cryptography (>= 2.1.4),
  python3-eventlet (>= 0.20.0),
- python3-git (>= 2.1.8),
+ python3-git (>= 3.0.5),
  python3-hacking (>= 0.12.0),
  python3-kombu (>= 4.1.0),
  python3-mock (>= 2.0.0),
@@ -74,7 +71,7 @@
  python3-anyjson (>= 0.3.3),
  python3-cryptography (>= 2.1.4),
  python3-eventlet (>= 0.20.0),
- python3-git (>= 2.1.8),
+ python3-git (>= 3.0.5),
  python3-kombu (>= 4.1.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.37.0),

## murano-agent 5.0.0~b3~git2020041013.b908aa8

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=3.1.1 # Apache-2.0
anyjson>=0.3.3 # BSD
eventlet>=0.20.0,!=0.20.1,!=0.21.0 # MIT
GitPython>=3.0.5;python_version>='3.0'  # BSD License (3 clause)
kombu>=4.1.0 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
PyYAML>=3.12 # MIT
six>=1.11.0 # MIT
semantic-version>=2.6.0 # BSD
requests>=2.18.4 # Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0

=== debian/changelog ===
murano-agent (1:5.0.0~b3~git2020041013.b908aa8-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/murano-agent.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:17:14 -0400

murano-agent (1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu5) focal; urgency=medium

  * d/murano-agent.logrotate, d/murano-agent.init.in: Switch from /var/log/murano
    to /var/log/murano-agent.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Apr 2020 16:50:10 -0400

murano-agent (1:5.0.0~b1~git2019121815.2b2cc45-0ubuntu4) focal; urgency=medium

  * d/murano-agent.postinst: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/murano-agent.dirs: Switch away from mkdir.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 14:50:09 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/murano-agent murano-agent-(\d.*)\.tar\.gz

## murano-agent 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 oslo.service>=1.30.0 # Apache-2.0
 oslo.utils>=3.36.0 # Apache-2.0
 PyYAML>=3.12 # MIT
-six>=1.11.0 # MIT
 semantic-version>=2.6.0 # BSD
 requests>=2.18.4 # Apache-2.0
 cryptography>=2.1.4 # BSD/Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:5.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 5.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 09:38:54 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-cryptography (>= 2.1.4),
  python3-eventlet (>= 0.20.0),
  python3-git (>= 3.0.5),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-kombu (>= 4.1.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,20 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
+export PYBUILD_NAME=murano-agent
 
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf 	build
 	rm -f debian/*.init debian/*.service debian/*.upstart
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
@@ -22,7 +23,8 @@
 	dh_auto_build
 
 override_dh_install:
-	dh_install -O--buildsystem=python_distutils --fail-missing
+	dh_install
+	dh_missing --fail-missing
 	mkdir -p $(CURDIR)/debian/murano-agent/usr/share/murano-agent
 	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/murano-agent/usr/share/murano-agent/muranoagent.conf --namespace muranoagent

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/murano-agent murano-agent-(5\.\d.*)\.tar\.gz

## murano-agent 6.0.0~b1~git2020070210.08273d5

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=3.1.1 # Apache-2.0
 anyjson>=0.3.3 # BSD
 eventlet>=0.20.0,!=0.20.1,!=0.21.0 # MIT
-GitPython>=3.0.5;python_version>='3.0'  # BSD License (3 clause)
+GitPython>=3.0.5 # BSD License (3 clause)
 kombu>=4.1.0 # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.37.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:6.0.0~b1~git2020070210.08273d5-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:04:22 -0400

murano-agent (1:5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 5.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 15 May 2020 08:07:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 3.1.1),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-anyjson (>= 0.3.3),
  python3-coverage (>= 4.5.1),
@@ -22,13 +22,12 @@
  python3-hacking (>= 1.1.0),
  python3-kombu (>= 4.1.0),
  python3-mock (>= 2.0.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.37.0),
  python3-oslo.service (>= 1.30.0),
  python3-oslo.utils (>= 3.36.0),
  python3-oslotest (>= 1:3.3.0),
- python3-reno (>= 2.5.0),
  python3-requests (>= 2.18.4),
  python3-semantic-version (>= 2.6.0),
  python3-six (>= 1.11.0),
@@ -41,9 +40,9 @@
  python3-yaml (>= 3.12),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
 Homepage: https://github.com/openstack/murano-agent
 
 Package: murano-agent

## murano-agent 6.0.0~b3~git2020091505.306b131

=== debian/changelog ===
murano-agent (1:6.0.0~b3~git2020091505.306b131-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 15 Sep 2020 05:26:36 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-eventlet (>= 0.20.0),
  python3-git (>= 3.0.5),
  python3-hacking (>= 1.1.0),
- python3-kombu (>= 4.1.0),
+ python3-kombu (>= 4.3.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.config (>= 1:5.2.0),
@@ -37,7 +37,7 @@
  python3-testrepository (>= 0.0.18),
  python3-testtools (>= 2.3.0),
  python3-unittest2 (>= 1.1.0),
- python3-yaml (>= 3.12),
+ python3-yaml (>= 3.13),
  subunit,
  testrepository,
 Standards-Version: 4.5.0
@@ -71,7 +71,7 @@
  python3-cryptography (>= 2.1.4),
  python3-eventlet (>= 0.20.0),
  python3-git (>= 3.0.5),
- python3-kombu (>= 4.1.0),
+ python3-kombu (>= 4.3.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.log (>= 3.37.0),
  python3-oslo.service (>= 1.30.0),
@@ -80,7 +80,7 @@
  python3-requests (>= 2.18.4),
  python3-semantic-version (>= 2.6.0),
  python3-six (>= 1.11.0),
- python3-yaml (>= 3.12),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## murano-agent 6.0.0~rc1

=== debian/changelog ===
murano-agent (1:6.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 6.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:07:24 -0400

=== debian/control ===
--- 
+++ 
@@ -41,8 +41,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano-agent
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-agent
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-agent
 Homepage: https://github.com/openstack/murano-agent
 
 Package: murano-agent

## murano-agent 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 anyjson>=0.3.3 # BSD
 eventlet>=0.20.0,!=0.20.1,!=0.21.0 # MIT
 GitPython>=3.0.5 # BSD License (3 clause)
-kombu>=4.1.0 # BSD
+kombu>=4.3.0 # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.37.0 # Apache-2.0
 oslo.service>=1.30.0 # Apache-2.0
 oslo.utils>=3.36.0 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 semantic-version>=2.6.0 # BSD
 requests>=2.18.4 # Apache-2.0
 cryptography>=2.1.4 # BSD/Apache-2.0

=== debian/changelog ===
murano-agent (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:48:16 +0200

murano-agent (1:6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed exessive overrides.
  * Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 09:21:28 +0200

murano-agent (1:5.0.0-1) unstable; urgency=medium

  * Fixed watch file URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:37:47 +0200

murano-agent (1:5.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 23:07:29 +0200

murano-agent (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 22:31:11 +0200

murano-agent (1:4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 20:04:12 +0200

murano-agent (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:41:29 +0200

murano-agent (1:4.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 23:06:29 +0200

murano-agent (1:3.5.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Removed python3- prefix when calling oslo config generators.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 19:32:07 +0200

murano-agent (1:3.5.1-3) unstable; urgency=medium

  * /etc/murano-agent/muranoagent.conf not a CONFFILES anymore, thanks to
    Andreas Beckmann for the bug report. (Closes: #910215).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Oct 2018 22:45:54 +0200

murano-agent (1:3.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 16:26:47 +0200

murano-agent (1:3.5.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Fixed (build-)depends for this release.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Updating copyright format url.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.3.
  * Switched to Python 3:
    - Blacklist borken test see https://bugs.launchpad.net/murano/+bug/1752847
      test_script_runner.TestScriptRunner.test_script_runner_downloable
  * Disable non-deterministic test:
    - test_files_manager.TestFileManager.test_is_svn_wrong_http_protocol
  * Removed dh-systemd build-depends.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Fix wrong Vcs-*

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 10:16:41 +0200

=== debian/control ===
Source: murano-agent
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-anyjson,
 python3-coverage,
 python3-cryptography,
 python3-eventlet,
 python3-git,
 python3-hacking,
 python3-kombu (>= 4.3.0),
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-semantic-version,
 python3-sphinxcontrib.httpdomain,
 python3-stestr,
 python3-testtools,
 python3-unittest2,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano-agent
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano-agent.git
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 lsb-base,
 python3-anyjson,
 python3-cryptography,
 python3-eventlet,
 python3-git,
 python3-kombu (>= 4.3.),
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-semantic-version,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	rm -rf build
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -f debian/murano-common.postinst
	dh_clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-agent.postinst
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for i in $(PYTHON3S); do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'muranoagent\.tests\.unit\.(?!(.*test_script_runner\.TestScriptRunner\.test_script_runner_downloable.*|.*test_files_manager\.TestFileManager\.test_is_svn_wrong_http_protocol.*))'

endif

	mkdir -p $(CURDIR)/debian/murano-agent/usr/share/murano-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-agent/usr/share/murano-agent/muranoagent.conf \
		--namespace muranoagent \
		--namespace oslo.service.service \
		--namespace oslo.log

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/murano-agent/tags .*/(\d[brc\d\.]+)\.tar\.gz

## murano-agent 6.0.0+git2020121014.7d481ad

=== debian/changelog ===
murano-agent (1:6.0.0+git2020121014.7d481ad-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Override python3 shebang.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:07:18 -0500

murano-agent (1:6.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:25:09 -0400

## murano-agent 6.0.0+git2021012507.7d481ad

=== debian/changelog ===
murano-agent (1:6.0.0+git2021012507.7d481ad-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:34 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/murano-agent murano-agent-(6\.\d.*)\.tar\.gz

## murano-agent 7.0.0~rc1

=== debian/changelog ===
murano-agent (1:7.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:59:18 -0400

## murano-agent 7.0.0

=== debian/changelog ===
murano-agent (1:7.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:05 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/murano-agent/ murano-agent-(7\.\d.*)\.tar\.gz

## murano-agent 7.0.0+git2021061112.d8283e9

=== debian/changelog ===
murano-agent (1:7.0.0+git2021061112.d8283e9-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:49 +0000

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.5.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-anyjson (>= 0.3.3),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-eventlet (>= 0.30.0),
 python3-git (>= 3.0.5),
 python3-hacking (>= 1.1.0),
 python3-kombu (>= 4.6.1),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.utils (>= 4.8.0),
 python3-oslotest (>= 1:3.8.0),
 python3-requests (>= 2.25.1),
 python3-semantic-version (>= 2.6.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-stestr (>= 2.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.3.0),
 python3-unittest2 (>= 1.1.0),
 python3-yaml (>= 5.1),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-agent
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-agent
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 python3-murano-agent (= ${source:Version}),
 ${misc:Depends},
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

Package: python3-murano-agent
Architecture: all
Section: python
Depends:
 python3-anyjson (>= 0.3.3),
 python3-cryptography (>= 2.7),
 python3-eventlet (>= 0.30.0),
 python3-git (>= 3.0.5),
 python3-kombu (>= 4.6.1),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.utils (>= 4.8.0),
 python3-pbr (>= 5.5.1),
 python3-requests (>= 2.25.1),
 python3-semantic-version (>= 2.6.0),
 python3-six (>= 1.11.0),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 library
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the python 3 library.

## murano-agent 8.0.0

=== debian/changelog ===
murano-agent (1:8.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 10:40:59 +0000

murano-agent (1:8.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 8.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:51 +0000

murano-agent (1:7.0.0+git2021090814.db57214-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:58 +0000

## murano-agent 8.0.0+git2021120910.2366d52

=== debian/changelog ===
murano-agent (1:8.0.0+git2021120910.2366d52-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:25:16 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-anyjson (>= 0.3.3),
  python3-coverage (>= 4.0),
  python3-cryptography (>= 2.7),
- python3-eventlet (>= 0.30.0),
+ python3-eventlet (>= 0.30.1),
  python3-git (>= 3.0.5),
  python3-hacking (>= 1.1.0),
  python3-kombu (>= 4.6.1),
@@ -69,7 +69,7 @@
 Depends:
  python3-anyjson (>= 0.3.3),
  python3-cryptography (>= 2.7),
- python3-eventlet (>= 0.30.0),
+ python3-eventlet (>= 0.30.1),
  python3-git (>= 3.0.5),
  python3-kombu (>= 4.6.1),
  python3-oslo.config (>= 1:6.8.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/murano-agent/ murano-agent-(8\.\d.*)\.tar\.gz

## murano-agent 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=5.5.1 # Apache-2.0
anyjson>=0.3.3 # BSD
eventlet>=0.30.1 # MIT
GitPython>=3.0.5 # BSD License (3 clause)
kombu>=4.6.1 # BSD
oslo.config>=6.8.0 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.service>=2.5.0 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
PyYAML>=5.1 # MIT
semantic-version>=2.6.0 # BSD
requests>=2.25.1 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0

=== contrib/c-demo-agent/Makefile ===
# Makefile for murano agent

CFLAGS= -Wall

default_target: all
	

all: agent-binary producer-binary
	

# NOTE: Use this if RabbitMQ needs to be linked in as a dynamic library
#agent-binary: murano-agent.o lcfg_static.o utils.o
#	gcc -o murano-agent murano-agent.o lcfg_static.o utils.o -lrabbitmq -lrt

agent-binary: murano-agent.o lcfg_static.o utils.o librabbitmq.a
	gcc $(CFLAGS) -o murano-agent murano-agent.o lcfg_static.o utils.o -L. -lrabbitmq -lrt

# NOTE: Use this if RabbitMQ needs to be linked in as a dynamic library
#producer-binary: producer.o utils.o
#	gcc -o producer producer.o utils.o -lrabbitmq -lrt

producer-binary: producer.o utils.o librabbitmq.a
	gcc $(CFLAGS) -o producer producer.o utils.o -L. -lrabbitmq -lrt

murano-agent.o: murano-agent.c
	gcc $(CFLAGS) -c -I. -fPIC murano-agent.c

producer.o: producer.c
	gcc $(CFLAGS) -c -I. -fPIC producer.c

lcfg_static.o: lcfg_static.c
	gcc $(CFLAGS) -c -fPIC lcfg_static.c

utils.o: utils.c
	gcc $(CFLAGS) -c -I. -fPIC utils.c

clean:
	rm -f *.o murano-agent producer

=== debian/changelog ===
murano-agent (1:9.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 9.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:19:30 -0400

murano-agent (1:8.0.0+git2022011308.b873684-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 08:34:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/murano-agent/ murano-agent-(9\.\d.*)\.tar\.gz

## murano-agent 9.0.0+git2022060213.eff24e0

=== debian/changelog ===
murano-agent (1:9.0.0+git2022060213.eff24e0-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:54:52 -0400

=== debian/control ===
--- 
+++ 
@@ -40,10 +40,9 @@
  python3-yaml (>= 5.1),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-agent
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano-agent
-Homepage: https://github.com/openstack/murano-agent
+Homepage: https://opendev.org/openstack/murano-agent
 
 Package: murano-agent
 Architecture: all

## murano-agent 9.0.0+git2022071414.eff24e0

=== debian/changelog ===
murano-agent (1:9.0.0+git2022071414.eff24e0-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/murano-agent-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:20:52 -0400

## murano-agent 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
murano-agent (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:28:21 +0200

murano-agent (1:10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:00:57 +0200

murano-agent (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 22:17:49 +0200

murano-agent (1:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:07:24 +0200

murano-agent (1:9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:05:29 +0200

murano-agent (1:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 21:34:20 +0100

murano-agent (1:8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:39:37 +0200

murano-agent (1:8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:20:50 +0200

murano-agent (1:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 10:25:25 +0200

murano-agent (1:7.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:25:22 +0200

murano-agent (1:7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:39:26 +0200

murano-agent (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 23:29:39 +0100

=== debian/control ===
Source: murano-agent
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.5.1),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-anyjson,
 python3-coverage,
 python3-cryptography,
 python3-eventlet (>= 0.30.1),
 python3-git,
 python3-hacking,
 python3-kombu (>= 4.6.1),
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.service (>= 2.5.0),
 python3-oslo.utils (>= 4.8.0),
 python3-oslotest,
 python3-requests,
 python3-semantic-version,
 python3-sphinxcontrib.httpdomain,
 python3-stestr,
 python3-testtools,
 python3-unittest2,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano-agent
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano-agent.git
Homepage: https://github.com/openstack/murano-agent

Package: murano-agent
Architecture: all
Section: python
Depends:
 adduser,
 lsb-base,
 python3-anyjson,
 python3-cryptography,
 python3-eventlet (>= 0.30.1),
 python3-git,
 python3-kombu (>= 4.6.1),
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.service (>= 2.5.0),
 python3-oslo.utils (>= 4.8.0),
 python3-pbr (>= 5.5.1),
 python3-requests,
 python3-semantic-version,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.

## murano-agent 10.0.0+git2023011010.277db4ff

=== debian/changelog ===
murano-agent (1:10.0.0+git2023011010.277db4ff-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:06:10 -0500

murano-agent (1:10.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 10.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:36:05 -0400

## murano-agent 10.0.0+git2023030309.1af685b7

=== debian/changelog ===
murano-agent (1:10.0.0+git2023030309.1af685b7-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:32:50 -0500

## murano-agent 11.0.0

=== debian/changelog ===
murano-agent (1:11.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 02:35:56 +0000

murano-agent (1:11.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:55:29 -0400

## murano-agent 11.0.0+git2023061415.9ae3969b

=== debian/changelog ===
murano-agent (1:11.0.0+git2023061415.9ae3969b-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:11:11 -0400

## murano-agent 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=5.5.1 # Apache-2.0
-anyjson>=0.3.3 # BSD
 eventlet>=0.30.1 # MIT
 GitPython>=3.0.5 # BSD License (3 clause)
 kombu>=4.6.1 # BSD

=== debian/changelog ===
murano-agent (1:12.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:07:40 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=murano-agent

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf 	build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	dh_auto_build

override_dh_install:
	dh_install
	dh_missing --fail-missing
	mkdir -p $(CURDIR)/debian/murano-agent/usr/share/murano-agent
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/murano-agent/usr/share/murano-agent/muranoagent.conf --namespace muranoagent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/tests/control ===
Tests: murano-agent-daemons python3-murano-agent
Depends: murano-agent
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/murano-agent/ murano-agent-(\d.*)\.tar\.gz

## murano-agent 2015.1.0

=== debian/control ===
Source: murano-agent
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson,
                     python-babel,
                     python-bunch,
                     python-coverage,
                     python-eventlet (>= 0.16.1),
                     python-git,
                     python-hacking,
                     python-iso8601,
                     python-kombu,
                     python-mock,
                     python-oslo.config (>= 1:1.9.3),
                     python-requests,
                     python-semantic-version (>= 2.3.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.3.0),
                     python-testtools,
                     python-unittest2,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/murano-agent
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/murano-agent.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/murano-agent.git

Package: murano-agent
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~),
Depends: adduser,
         python-anyjson (>= 0.3.3),
         python-babel,
         python-bunch,
         python-eventlet (>= 0.16.1),
         python-git,
         python-iso8601,
         python-kombu,
         python-oslo.config (>= 1:1.9.3),
         python-pbr,
         python-requests,
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.3.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ldap,
Description: cloud-ready application catalog - VM agent
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Murano Agent, which is a VM-side guest agent that
 accepts commands from Murano Conductor and executes them.
